<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <title>{% block title %}{% endblock %} - Todo List</title>
        <link
            rel="stylesheet"
            href="{{ url_for('static', filename='style.css') }}"
        />
    </head>
    <nav>
        <h1>Todo List</h1>
        <ul>
            {% if g.user %}
            <li><span>{{ g.user['username'] }}</span></li>
            <li>
                <a href="{{ url_for('auth.logout') }}">Cerrar sesión</a>
            </li>
            {% else %}
            <li>
                <a href="{{ url_for('auth.register') }}">Registrarse</a>
            </li>
            <li>
                <a href="{{ url_for('auth.login') }}">Iniciar sesión</a>
            </li>
            {% endif %}
        </ul>
    </nav>

    <section class="content">
        <header>{% block header %}{% endblock %}</header>

        {% for message in get_flashed_messages() %}

        <div class="flash">{{ message }}</div>

        {% endfor %} {% block content %} {% endblock %}
    </section>
</html>
